Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::CCMObject Interface Reference

`import "CCM_Component.idl";`

Inheritance diagram for Components::CCMObject:

[legend]
Collaboration diagram for Components::CCMObject:

[legend]
List of all members.

## Public Methods
CORBA::IRObject | get_component_def ()
CCMHome | get_ccm_home ()
PrimaryKeyBase | get_primary_key () raises (NoKeyAvailable)
void | configuration_complete () raises (InvalidConfiguration)
void | remove () raises (RemoveFailure)
ComponentPortDescription | get_all_ports ()
CORBA::IRObject | get_component_def ()
CCMHome | get_ccm_home ()
PrimaryKeyBase | get_primary_key () raises (NoKeyAvailable)
void | configuration_complete () raises (InvalidConfiguration)
void | remove () raises (RemoveFailure)
ComponentPortDescription | get_all_ports ()

## Member Function Documentation

void Components::CCMObject::configuration_complete | ( |  | ) | raises (InvalidConfiguration)

void Components::CCMObject::configuration_complete | ( |  | ) | raises (InvalidConfiguration)

ComponentPortDescription Components::CCMObject::get_all_ports | ( |  | ) |

ComponentPortDescription Components::CCMObject::get_all_ports | ( |  | ) |

CCMHome Components::CCMObject::get_ccm_home | ( |  | ) |

CCMHome Components::CCMObject::get_ccm_home | ( |  | ) |

CORBA::IRObject Components::CCMObject::get_component_def | ( |  | ) |

CORBA::IRObject Components::CCMObject::get_component_def | ( |  | ) |

PrimaryKeyBase Components::CCMObject::get_primary_key | ( |  | ) | raises (NoKeyAvailable)

PrimaryKeyBase Components::CCMObject::get_primary_key | ( |  | ) | raises (NoKeyAvailable)

void Components::CCMObject::remove | ( |  | ) | raises (RemoveFailure)

void Components::CCMObject::remove | ( |  | ) | raises (RemoveFailure)

The documentation for this interface was generated from the following files:

- CCM_Component.idl
- Component_Base.idl